Bug 1298949 - (CVE-2016-0475) CVE-2016-0475 OpenJDK: PBE incorrect key lengths (Libraries, 8138589)
CVE-2016-0475 OpenJDK: PBE incorrect key lengths (Libraries, 8138589)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160119,repor...
: Security
Depends On:
Blocks: 1295699
  Show dependency treegraph
 
Reported: 2016-01-15 08:39 EST by Tomas Hoger
Modified: 2016-02-02 10:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the password-based encryption (PBE) implementation in the Libraries component in OpenJDK used an incorrect key length. This could, in certain cases, lead to generation of keys that were weaker than expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 10:20:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2016-01-15 08:39:03 EST
It was discovered that the password-based encryption (PBE) implementation in the Libraries component of OpenJDK specified incorrect key length.  This could lead to generation of keys that were weaker than expected in certain cases.
Comment 1 Tomas Hoger 2016-01-19 16:52:11 EST
Public now via Oracle Critical Patch Update - January 2016.  Fixed in Oracle Java SE 8u71.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html#AppendixJAVA
Comment 2 Tomas Hoger 2016-01-20 09:02:00 EST
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/5ea62bb625b6
Comment 3 errata-xmlrpc 2016-01-20 14:15:04 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0050 https://rhn.redhat.com/errata/RHSA-2016-0050.html
Comment 4 errata-xmlrpc 2016-01-20 14:32:47 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0049 https://rhn.redhat.com/errata/RHSA-2016-0049.html
Comment 5 errata-xmlrpc 2016-01-21 06:41:12 EST
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:0055 https://rhn.redhat.com/errata/RHSA-2016-0055.html
Comment 6 Tomas Hoger 2016-01-22 05:23:31 EST
Oracle JDK 8u71 has this note related to this change:

  Problem with PBE algorithms using AES crypto corrected

  An error was corrected for PBE using 256-bit AES ciphers such that the
  derived key may be different and not equivalent to keys previously derived
  from the same password.

  JDK-8138589 (not public)

http://www.oracle.com/technetwork/java/javase/8u71-relnotes-2773756.html
Comment 7 errata-xmlrpc 2016-02-02 08:39:55 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2016:0098 https://rhn.redhat.com/errata/RHSA-2016-0098.html

Note You need to log in before you can comment on or make changes to this bug.